org.bdgenomics.adam.rdd.read

# FlagStatMetrics

#### case class FlagStatMetrics(total: Long, duplicatesPrimary: DuplicateMetrics, duplicatesSecondary: DuplicateMetrics, mapped: Long, pairedInSequencing: Long, read1: Long, read2: Long, properlyPaired: Long, withSelfAndMateMapped: Long, singleton: Long, withMateMappedToDiffChromosome: Long, withMateMappedToDiffChromosomeMapQ5: Long, failedQuality: Boolean) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FlagStatMetrics
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FlagStatMetrics(total: Long, duplicatesPrimary: DuplicateMetrics, duplicatesSecondary: DuplicateMetrics, mapped: Long, pairedInSequencing: Long, read1: Long, read2: Long, properlyPaired: Long, withSelfAndMateMapped: Long, singleton: Long, withMateMappedToDiffChromosome: Long, withMateMappedToDiffChromosomeMapQ5: Long, failedQuality: Boolean)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(that: FlagStatMetrics): FlagStatMetrics

5. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val duplicatesPrimary: DuplicateMetrics

10. #### val duplicatesSecondary: DuplicateMetrics

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### val failedQuality: Boolean

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val mapped: Long

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val pairedInSequencing: Long

21. #### val properlyPaired: Long

22. #### val read1: Long

23. #### val read2: Long

24. #### val singleton: Long

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### val total: Long

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### val withMateMappedToDiffChromosome: Long

31. #### val withMateMappedToDiffChromosomeMapQ5: Long

32. #### val withSelfAndMateMapped: Long

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped